TSMIMEHDRCLONE(3ts)

NAME
TSMimeHdrClone - TSMimeHdrClone API function

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSMimeHdrClone(TSMBuffer dest_bufp, TSMBuffer src_bufp, TSMLoc src_hdr, TSMLoc * locp)

DESCRIPTION

Copies a specified MIME header to a specified marshal buffer, and returns the location of the copied MIME header within the destination marshal buffer.

Unlike TSMimeHdrCopy(), you do not have to create the destination MIME header before cloning. Release the returned TSMLoc handle with a call to TSHandleMLocRelease().

COPYRIGHT
2018, dev@trafficserver.apache.org